# Uses of Interface
org.eclipse.jdt.launching.IVMInstallType

Packages that use IVMInstallType
Package
Description
org.eclipse.jdt.launching
Application programming interfaces for interaction with the Eclipse Java launching support.

## Uses of IVMInstallType in org.eclipse.jdt.launching

Classes in org.eclipse.jdt.launching that implement IVMInstallType
Modifier and Type
Class
Description
`class`
`AbstractVMInstallType`
Abstract implementation of a VM install type.
Methods in org.eclipse.jdt.launching that return IVMInstallType
Modifier and Type
Method
Description
`IVMInstallType`
AbstractJavaLaunchConfigurationDelegate.`getVMInstallType(ILaunchConfiguration configuration)`
Returns the VM install type specified by the given launch configuration, or `null` if none.
`IVMInstallType`
AbstractVMInstall.`getVMInstallType()`
`IVMInstallType`
IVMInstall.`getVMInstallType()`
Returns the VM type of this VM.
`static IVMInstallType`
JavaRuntime.`getVMInstallType(String id)`
Returns the VM install type with the given unique id.
`static IVMInstallType[]`
JavaRuntime.`getVMInstallTypes()`
Returns the list of registered VM types.
Constructors in org.eclipse.jdt.launching with parameters of type IVMInstallType
Modifier
Constructor
Description
``
`AbstractVMInstall(IVMInstallType type, String id)`
Constructs a new VM install.
``
`VMStandin(IVMInstallType type, String id)`